Bug 1577329 - [abrt] reaver: parse_wps_tag(): reaver killed by SIGSEGV
Summary: [abrt] reaver: parse_wps_tag(): reaver killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: reaver
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Wilson Harshaw IV
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e1eaf788cc11f8b00fa215acf06...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 18:00 UTC by admin
Modified: 2019-05-28 20:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:11:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (17.55 KB, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: cgroup (399 bytes, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: core_backtrace (1.25 KB, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: dso_list (806 bytes, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: environ (4.81 KB, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: maps (4.32 KB, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: mountinfo (4.05 KB, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: open_fds (248 bytes, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details
File: proc_pid_status (1.22 KB, text/plain)
2018-05-11 18:01 UTC, admin
no flags Details

Description admin 2018-05-11 18:00:55 UTC
Description of problem:
airmon-ng start wlp2s0
reaver -i wlp2s0mon -b *BSSID*

Version-Release number of selected component:
reaver-1.4-8.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        reaver -i wlp2s0mon -b 70:4f:57:6d:62:52 -a
crash_function: parse_wps_tag
executable:     /usr/bin/reaver
journald_cursor: s=0630e23e1eef41a39641b78b41e8035c;i=230f4;b=a81e6c7cd16343f280aacffe4f23325c;m=742db180;t=56bddebbee57b;x=17aa5c19f0268ece
kernel:         4.16.7-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 parse_wps_tag at libwps.c:107
 #1 parse_wps_parameters at libwps.c:47
 #2 is_wps_locked at 80211.c:205
 #3 crack at cracker.c:130

Potential duplicate: bug 1512397

Comment 1 admin 2018-05-11 18:01:00 UTC
Created attachment 1435074 [details]
File: backtrace

Comment 2 admin 2018-05-11 18:01:01 UTC
Created attachment 1435075 [details]
File: cgroup

Comment 3 admin 2018-05-11 18:01:03 UTC
Created attachment 1435076 [details]
File: core_backtrace

Comment 4 admin 2018-05-11 18:01:04 UTC
Created attachment 1435077 [details]
File: cpuinfo

Comment 5 admin 2018-05-11 18:01:06 UTC
Created attachment 1435078 [details]
File: dso_list

Comment 6 admin 2018-05-11 18:01:07 UTC
Created attachment 1435079 [details]
File: environ

Comment 7 admin 2018-05-11 18:01:08 UTC
Created attachment 1435080 [details]
File: exploitable

Comment 8 admin 2018-05-11 18:01:09 UTC
Created attachment 1435081 [details]
File: limits

Comment 9 admin 2018-05-11 18:01:11 UTC
Created attachment 1435082 [details]
File: maps

Comment 10 admin 2018-05-11 18:01:12 UTC
Created attachment 1435083 [details]
File: mountinfo

Comment 11 admin 2018-05-11 18:01:14 UTC
Created attachment 1435084 [details]
File: open_fds

Comment 12 admin 2018-05-11 18:01:15 UTC
Created attachment 1435085 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 19:23:44 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-02 21:48:15 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 20:11:42 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.